Subject: I like you swore eternal love, and left, as can that be?

From: <[email-masked]>
Date: Tue, 2 Feb 2010 15:44:01 +0100

You remember that day at the beach? "I'll immediately noticed! 
Click everyone